package com.steerinfo.baseinfo.meterbasecustomersupplier.mapper;

import com.steerinfo.baseinfo.dto.MeterBaseCustomerSupplierDto;
import com.steerinfo.baseinfo.meterbasecustomersupplier.model.MeterBaseCustomerSupplier;
import com.steerinfo.framework.mapper.IBaseMapper;
import feign.Param;
import org.apache.ibatis.annotations.Mapper;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Mapper
public interface MeterBaseCustomerSupplierMapper extends IBaseMapper<MeterBaseCustomerSupplier, String> {
   String GetNewID();

   List<MeterBaseCustomerSupplierDto> selectComp1(@Param(value = "customerSupplierType") String customerSupplierType);

    List<MeterBaseCustomerSupplierDto> selectComp2();

    List<MeterBaseCustomerSupplier> selectForUpdate(Map<String, Object> parameters);

    List<MeterBaseCustomerSupplier> selectByType();

    List<MeterBaseCustomerSupplier> selectPrint();

    //皮带秤客户查询 预报接收
    String selectByIdForBelt(@org.apache.ibatis.annotations.Param("customerSupplierName") String customerSupplierName);

    List<MeterBaseCustomerSupplier> selectByParametersOrder(HashMap map);
}
